Last Comment Bug 755636 - Implement a dom::Sequence for sequence arguments, so that we don't have to expose details about fallibility and auto-arrayness.
: Implement a dom::Sequence for sequence arguments, so that we don't have to ex...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla15
Assigned To: Boris Zbarsky [:bz] (still a bit busy)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on: 755080
Blocks: ParisBindings
  Show dependency treegraph
 
Reported: 2012-05-15 23:28 PDT by Boris Zbarsky [:bz] (still a bit busy)
Modified: 2012-05-24 22:12 PDT (History)
2 users (show)
bzbarsky: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
part 1. Convert sequence argument codegen to dom::Sequence. (22.04 KB, patch)
2012-05-17 17:45 PDT, Boris Zbarsky [:bz] (still a bit busy)
bzbarsky: review-
Details | Diff | Splinter Review
part 1. Convert sequence argument codegen to dom::Sequence. (21.66 KB, patch)
2012-05-17 23:26 PDT, Boris Zbarsky [:bz] (still a bit busy)
no flags Details | Diff | Splinter Review
Part 1 with the nullable case actually compiling (21.65 KB, patch)
2012-05-17 23:29 PDT, Boris Zbarsky [:bz] (still a bit busy)
no flags Details | Diff | Splinter Review
Part 1 with some comments fixed too (21.06 KB, patch)
2012-05-18 12:49 PDT, Boris Zbarsky [:bz] (still a bit busy)
peterv: review+
Details | Diff | Splinter Review
part 2. Add some tests (not exhaustive!) for sequence codegen and fix the bugs they uncover. (14.00 KB, patch)
2012-05-18 12:57 PDT, Boris Zbarsky [:bz] (still a bit busy)
peterv: review+
Details | Diff | Splinter Review

Description Boris Zbarsky [:bz] (still a bit busy) 2012-05-15 23:28:25 PDT

    
Comment 1 Boris Zbarsky [:bz] (still a bit busy) 2012-05-17 17:45:17 PDT
Created attachment 624975 [details] [diff] [review]
part 1.  Convert sequence argument codegen to dom::Sequence.

There is a part 2 coming up which adds some tests and fixes the various sequence codegen bugs those tests uncovered.
Comment 2 Boris Zbarsky [:bz] (still a bit busy) 2012-05-17 23:13:53 PDT
Note that the XXXbz comment is part of what part 2 will need to deal with...
Comment 3 Boris Zbarsky [:bz] (still a bit busy) 2012-05-17 23:14:20 PDT
Comment on attachment 624975 [details] [diff] [review]
part 1.  Convert sequence argument codegen to dom::Sequence.

And actually, I think I can make this better.
Comment 4 Boris Zbarsky [:bz] (still a bit busy) 2012-05-17 23:26:52 PDT
Created attachment 625013 [details] [diff] [review]
part 1.  Convert sequence argument codegen to dom::Sequence.

OK, this is a bit better.  Please do let me know whether you prefer the holder approach here or the Constifier approach from the first patch?
Comment 5 Boris Zbarsky [:bz] (still a bit busy) 2012-05-17 23:29:35 PDT
Created attachment 625015 [details] [diff] [review]
Part 1 with the nullable case actually compiling
Comment 6 Boris Zbarsky [:bz] (still a bit busy) 2012-05-18 12:49:19 PDT
Created attachment 625211 [details] [diff] [review]
Part 1 with some comments fixed too
Comment 7 Boris Zbarsky [:bz] (still a bit busy) 2012-05-18 12:57:31 PDT
Created attachment 625212 [details] [diff] [review]
part 2.  Add some tests (not exhaustive!) for sequence codegen and fix the bugs they uncover.
Comment 8 Peter Van der Beken [:peterv] 2012-05-23 07:14:12 PDT
Comment on attachment 625211 [details] [diff] [review]
Part 1 with some comments fixed too

Review of attachment 625211 [details] [diff] [review]:
-----------------------------------------------------------------

::: content/canvas/src/WebGLContextGL.cpp
@@ +4442,5 @@
>      return NS_OK;                                                               \
>  }                                                                               \
>  void                                                                            \
>  WebGLContext::name##_base(WebGLUniformLocation *location_object,                \
> +                        uint32_t arrayLength, const ptrType* data) {                  \

Line up \ (here and in the other lines you changed).
Comment 9 Boris Zbarsky [:bz] (still a bit busy) 2012-05-23 09:42:49 PDT
> Line up \ (here and in the other lines you changed).

Done.

Note You need to log in before you can comment on or make changes to this bug.